<!DOCTYPE html>
<html layout:decorator="layout/default" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>UIS Account Activation</title>
</head>
<body class="teal">

<div layout:fragment="content">

    <div class="row">
        <div class="col s12 center">
            <p class="center white-text"><i class="large material-icons">school</i></p>
            <h3 class="white-text center">Welcome, <span th:text="${user.name}"></span></h3>
        </div>

        <div class="col s12 m8 offset-m2 l4 offset-l4">

            <form class="card-panel z-depth-2" id="activate-account" method="post"
                  th:action="@{__${#httpServletRequest.requestURI}__}" th:object="${accountActivationForm}">
                <div class="row">
                    <div class="input-field col s12">
                        <input disabled="disabled" id="username" th:value="${user.identificationNumber}" type="text"/>
                        <label for="username" th:text="#{username}"></label>
                    </div>

                    <div class="input-field col s12">
                        <input autofocus="autofocus" id="password" th:field="*{password}" type="password"/>
                        <label for="password" th:text="#{password}"></label>
                        <span class="red-text" th:if="${#fields.hasErrors('password')}"
                              th:text="#{password.error}"></span>
                    </div>

                    <div class="input-field col s12">
                        <input id="repeat-password" th:field="*{repeatPassword}" type="password"/>
                        <label for="repeat-password" th:text="#{repeat.password}"></label>
                        <span class="red-text" th:if="${#fields.hasGlobalErrors()}"
                              th:text="#{repeat.password.error}"></span>
                    </div>

                    <div class="input-field col s12">
                        <input class="btn-large col s12" th:value="#{activate.account}" type="submit"/>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

</body>
</html>
